CmdMessenger 4.0.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
CommandMessenger.ReceivedCommand Class Reference

A command received from CmdMessenger. More...

Inheritance diagram for CommandMessenger.ReceivedCommand:

List of all members.

## Public Member Functions
| ReceivedCommand ()
| Default constructor.
| ReceivedCommand (string[] rawArguments)
| Constructor.
bool | Next ()
| Fetches the next argument.
bool | Available ()
| returns if a next command is available
Int16 | ReadInt16Arg ()
| Reads the current argument as short value.
UInt16 | ReadUInt16Arg ()
| Reads the current argument as unsigned short value.
bool | ReadBoolArg ()
| Reads the current argument as boolean value.
Int32 | ReadInt32Arg ()
| Reads the current argument as int value.
UInt32 | ReadUInt32Arg ()
| Reads the current argument as unsigned int value.
float | ReadFloatArg ()
| Reads the current argument as a float value.
Double | ReadDoubleArg ()
| Reads the current argument as a double value.
String | ReadStringArg ()
| Reads the current argument as a string value.
float | ReadBinFloatArg ()
| Reads the current binary argument as a float value.
Double | ReadBinDoubleArg ()
| Reads the current binary argument as a double value.
Int16 | ReadBinInt16Arg ()
| Reads the current binary argument as a short value.
UInt16 | ReadBinUInt16Arg ()
| Reads the current binary argument as a unsigned short value.
Int32 | ReadBinInt32Arg ()
| Reads the current binary argument as a int value.
UInt32 | ReadBinUInt32Arg ()
| Reads the current binary argument as a unsigned int value.
String | ReadBinStringArg ()
| Reads the current binary argument as a string value.
bool | ReadBinBoolArg ()
| Reads the current binary argument as a boolean value.
## Properties
string | RawString`[get, set]`
| Gets or sets the command input.

## Detailed Description

A command received from CmdMessenger.

## Constructor & Destructor Documentation

CommandMessenger.ReceivedCommand.ReceivedCommand | ( |  | ) |

Default constructor.

CommandMessenger.ReceivedCommand.ReceivedCommand | ( | string[] | rawArguments | ) |

Constructor.

Parameters:

  rawArguments | All command arguments, first one is command ID

## Member Function Documentation

bool CommandMessenger.ReceivedCommand.Available | ( |  | ) |

returns if a next command is available

Returns:
  true if it succeeds, false if it fails.

bool CommandMessenger.ReceivedCommand.Next | ( |  | ) |

Fetches the next argument.

Returns:
  true if it succeeds, false if it fails.

bool CommandMessenger.ReceivedCommand.ReadBinBoolArg | ( |  | ) |

Reads the current binary argument as a boolean value.

Returns:
  The boolean value.

Double CommandMessenger.ReceivedCommand.ReadBinDoubleArg | ( |  | ) |

Reads the current binary argument as a double value.

Returns:
  The double value.

float CommandMessenger.ReceivedCommand.ReadBinFloatArg | ( |  | ) |

Reads the current binary argument as a float value.

Returns:
  The float value.

Int16 CommandMessenger.ReceivedCommand.ReadBinInt16Arg | ( |  | ) |

Reads the current binary argument as a short value.

Returns:
  The short value.

Int32 CommandMessenger.ReceivedCommand.ReadBinInt32Arg | ( |  | ) |

Reads the current binary argument as a int value.

Returns:
  The int32 value.

String CommandMessenger.ReceivedCommand.ReadBinStringArg | ( |  | ) |

Reads the current binary argument as a string value.

Returns:
  The string value.

UInt16 CommandMessenger.ReceivedCommand.ReadBinUInt16Arg | ( |  | ) |

Reads the current binary argument as a unsigned short value.

Returns:
  The unsigned short value.

UInt32 CommandMessenger.ReceivedCommand.ReadBinUInt32Arg | ( |  | ) |

Reads the current binary argument as a unsigned int value.

Returns:
  The unsigned int value.

bool CommandMessenger.ReceivedCommand.ReadBoolArg | ( |  | ) |

Reads the current argument as boolean value.

Returns:
  The boolean value.

Double CommandMessenger.ReceivedCommand.ReadDoubleArg | ( |  | ) |

Reads the current argument as a double value.

Returns:
  The unsigned double value.

float CommandMessenger.ReceivedCommand.ReadFloatArg | ( |  | ) |

Reads the current argument as a float value.

Returns:
  The float value.

Int16 CommandMessenger.ReceivedCommand.ReadInt16Arg | ( |  | ) |

Reads the current argument as short value.

Returns:
  The short value.

Int32 CommandMessenger.ReceivedCommand.ReadInt32Arg | ( |  | ) |

Reads the current argument as int value.

Returns:
  The int value.

String CommandMessenger.ReceivedCommand.ReadStringArg | ( |  | ) |

Reads the current argument as a string value.

Returns:
  The string value.

UInt16 CommandMessenger.ReceivedCommand.ReadUInt16Arg | ( |  | ) |

Reads the current argument as unsigned short value.

Returns:
  The unsigned short value.

UInt32 CommandMessenger.ReceivedCommand.ReadUInt32Arg | ( |  | ) |

Reads the current argument as unsigned int value.

Returns:
  The unsigned int value.

## Property Documentation

string CommandMessenger.ReceivedCommand.RawString`[get, set]`

Gets or sets the command input.

The raw string.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino/Own Arduino libraries/CmdMessenger/Arduino-CmdMessenger/extras/CSharp/CommandMessenger/ReceivedCommand.cs